module PostDB
  class Alias < ActiveRecord::Base
    self.table_name = 'virtual_aliases'

    belongs_to :domain
    belongs_to :user

    validates :source,      presence: true
    validates :destination, presence: true

    validate do |aliaz|
      alias_count = self.class.where(
        source: aliaz.source,
        destination: aliaz.destination
      ).where.not(
        id: aliaz.id
      ).count

      next unless alias_count > 0

      errors.add(:source_and_destination, "must be unique")
    end
  end
end
