module PostDB
  module CLI
    class Database < Thor
      no_tasks do
        include PostDB::CLI::Helper

        # Get the ActiveRecord::Base connection
        #
        # Example:
        #   >> connection
        #   => ?
        #
        def connection
          ActiveRecord::Base.connection
        end

        # Get the database configuration
        #
        # Example:
        #   >> configuration
        #   => { adapter: "mysql", host: "127.0.0.1", username: "mail", password: "...", database: "mail" }
        #
        def configuration
          PostDB::Configuration[:database]
        end
      end

      desc "migrate VERSION", "Migrate the database"
      def migrate(version = nil)
        # Get the path to the migrations directory
        migrations = File.join('..', '..', '..', '..', 'db', 'migrate')
        migrations = File.expand_path(migrations, __FILE__)

        # Run the migrations
        ActiveRecord::Migrator.migrate(migrations, version)
      end
    end
  end
end
