module PostDB
  class Configuration
    class << self
      # Load the configuration from a file
      #
      # Arguments:
      #   path: (String) The path to the configuration file
      #
      # Example:
      #   >> PostDB::Configuration.load_file(path)
      #   => true
      #
      def load_file(path)
        @configuration = YAML.load(File.read(path))

        true
      end

      # Get a value from the configuration
      #
      # Arguments:
      #   name: (String)
      #
      # Example:
      #   >> PostDB::Configuration[:database]
      #   => { ... }
      #
      def [](name)
        return nil unless @configuration

        @configuration[name]
      end
    end
  end
end
