module PostDB
  class Database
    class << self
      # Setup the database
      #
      # Example:
      #   >> PostDB::Database.setup_with_configuration!
      #   => nil
      #
      def setup_with_configuration!
        configuration = PostDB::Configuration[:database]

        unless configuration.is_a?(Hash)
          raise PostDB::SetupError.new(:missing_database_args)
        end

        ActiveRecord::Base.establish_connection(**configuration)

        nil
      end
    end
  end
end
