module PostDB
  class Mail
    class << self
      # The template path to the mail location
      #
      attr_reader :mail_location

      # Setup the mail configuration
      #
      # Example:
      #   >> PostDB::Mail.setup_with_configuration!
      #   => nil
      #
      def setup_with_configuration!
        configuration = PostDB::Configuration[:mail]

        unless configuration.is_a?(Hash)
          raise PostDB::SetupError.new(:missing_mail_args)
        end

        unless configuration[:location]
          raise PostDB::SetupError.new(:missing_mail_location)
        end

        @mail_location = PostDB::MailLocation.new(configuration[:location])

        nil
      end
    end
  end
end
